Creates a new job_estimated_quantity object
Request Information
URI Parameters :
None.
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "e7339dc0-b529-42ff-9974-6d693bf1b9ac",
"estimated_quantity": 2.0,
"article_id": "ae6866ec-3784-4673-aa13-8ea40cf04438",
"article_code": "sample string 4",
"article": {
"id": "e4f202fc-5052-4de3-a5ad-26067319cc6c",
"article_category_id": "dac33346-d3c0-4f84-93e1-4d50b6623cf5",
"article_category": {
"id": "2229d61a-108a-4c48-a207-7c0b3a386797",
"parent_id": "713d1fa5-b647-408c-b3cd-0eff25f07254",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "9623169e-235f-40ef-b34e-8cef7b70f6a6",
"article_group_1_code": "sample string 5",
"article_group_2_id": "1d72fbd8-2861-4258-a48d-dd1b809a69c6",
"article_group_2_code": "sample string 7",
"article_group_3_id": "f70f4e05-1a70-4654-8253-6c2e9f960070",
"article_group_3_code": "sample string 9",
"article_group_4_id": "9f88dbcd-19b0-4c5b-895d-5b88322bd844",
"article_group_4_code": "sample string 11",
"article_group_5_id": "d034219b-d7ca-468f-8ef2-bb9081ffb985",
"article_group_5_code": "sample string 13",
"article_group_6_id": "0848ec7f-2796-4d86-9d5f-f0f3d81c37a2",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-12T10:10:21.4798832+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-12T10:10:21.4798832+00:00",
"date_update": "2026-11-12T10:10:21.4798832+00:00",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00",
"article_color_id": "04c00ff7-bd1b-4f23-99a5-eb797d7dddf3",
"article_color_code": "sample string 38",
"article_color": {
"id": "d69da75c-77c0-425a-827c-fde64a3db7b6",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "d5164282-3698-42e1-9d61-8952a9ae4788",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "dc05f155-f75a-4d7c-9837-8e3e14e905b0",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "1983692f-472a-4e05-9494-f200c2c8a2fd",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "23256c6c-8c9a-4d0a-8d9d-d5f6cf030fa2",
"_parent_id": "531f896a-f0f2-410e-856a-5025ff705fc6",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "0031ddc5-aded-4342-bc0d-2a30e1892d6e",
"project_reference_back_office": "sample string 5",
"project": {
"id": "7277d1d3-166c-463d-9746-e5436967a775",
"_parent_id": "6dc585a9-5c94-49b3-9cc0-dc439dba9858",
"root_parent_id": "ab146d91-4cf2-4ff5-aa02-ab3a0d62c111",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "ac04dcdf-04f3-4363-ae99-4deb108c4dc3",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "0f5e90b7-c0a8-4964-bfba-1424787d09b5",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "d97c1836-fd74-47e1-905f-c6d8d66c70fb",
"_parent_code": "sample string 6",
"sales_organization_id": "0a462bbe-39ee-4b4e-975b-3d4992b89634",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "398c55f8-3a7c-4c8d-947d-270f55832456",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d2159351-da04-4956-ad5d-253bdc1afed9",
"db_currency_id": "244957a8-8d62-4b56-897b-91a2a3ca7db5",
"db_language_id": "c96a8156-3dc2-47b4-b33a-d2d0f7f9ac8a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"equipment_model_id": "b346e114-912c-44ef-8e7e-fe0987cb7cbf",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "d032ada3-2b94-44ad-b71b-54b0922c5fbb",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "1d602db5-11a0-4640-8c7e-db9dfe5a23f8",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "67af3de7-b950-40c3-8d98-420ea90ea7e9",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "44f97046-e05b-4c20-902e-b4f9c72852cd",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "398c55f8-3a7c-4c8d-947d-270f55832456",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d2159351-da04-4956-ad5d-253bdc1afed9",
"db_currency_id": "244957a8-8d62-4b56-897b-91a2a3ca7db5",
"db_language_id": "c96a8156-3dc2-47b4-b33a-d2d0f7f9ac8a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"equipment_family_id": "1b471c5c-b15b-4517-864a-d5c85c4de83c",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "0f5e90b7-c0a8-4964-bfba-1424787d09b5",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "d97c1836-fd74-47e1-905f-c6d8d66c70fb",
"_parent_code": "sample string 6",
"sales_organization_id": "0a462bbe-39ee-4b4e-975b-3d4992b89634",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "398c55f8-3a7c-4c8d-947d-270f55832456",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d2159351-da04-4956-ad5d-253bdc1afed9",
"db_currency_id": "244957a8-8d62-4b56-897b-91a2a3ca7db5",
"db_language_id": "c96a8156-3dc2-47b4-b33a-d2d0f7f9ac8a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"date_in_production_since": "2026-11-12T10:10:21.4798832+00:00",
"date_out_of_production_since": "2026-11-12T10:10:21.4798832+00:00",
"date_end_support": "2026-11-12T10:10:21.4798832+00:00",
"sales_organization_id": "43a98425-892b-478e-9347-2cf6768985ee",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "398c55f8-3a7c-4c8d-947d-270f55832456",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d2159351-da04-4956-ad5d-253bdc1afed9",
"db_currency_id": "244957a8-8d62-4b56-897b-91a2a3ca7db5",
"db_language_id": "c96a8156-3dc2-47b4-b33a-d2d0f7f9ac8a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"project_status_id": "2bddcd9c-4ef1-4cf9-a780-61f25c5b5397",
"project_status_code": "sample string 10",
"project_status": {
"id": "19ec5586-f1cc-4d5e-8196-6ccb1e56a69b",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "9d21dfd5-1f60-4517-a7f7-342e8ae70ad7",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "398c55f8-3a7c-4c8d-947d-270f55832456",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d2159351-da04-4956-ad5d-253bdc1afed9",
"db_currency_id": "244957a8-8d62-4b56-897b-91a2a3ca7db5",
"db_language_id": "c96a8156-3dc2-47b4-b33a-d2d0f7f9ac8a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"company_id": "effd59c0-99b8-4dee-9521-f46a8d2ebaf1",
"company_code": "sample string 12",
"db_address_id": "40d1b7e3-adba-4651-84dd-8a1500422f41",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "471ac782-0554-4bea-ab5b-ebaf03268ba6",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "669cecfb-377e-49c3-af2b-4ad2d1b4cd56",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-12T10:10:21.4798832+00:00",
"date_create": "2026-11-12T10:10:21.4798832+00:00",
"date_update": "2026-11-12T10:10:21.4798832+00:00",
"updated_by_user_id": "25dfd95d-1311-4cfe-b8cd-426c4fba7e4c",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-12T10:10:21.4798832+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-12T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-12T10:10:21.4798832+00:00",
"date_last_job": "2026-11-12T10:10:21.4798832+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-12T10:10:21.4798832+00:00",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00",
"is_mobile_installation": true
},
"job_type_id": "094298a6-84b0-4f02-921e-b504775682da",
"job_type_code": "sample string 7",
"job_type": {
"id": "7c977963-a9be-45de-8b1a-152df3ba10c6",
"name": "sample string 2",
"sales_organization_id": "1d6a1979-b961-4f2f-bbe5-6a1342704ab2",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00",
"code": "sample string 7"
},
"job_priority_id": "55c4e2d8-c2ca-4652-b138-415e7ec1d90b",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "6f2718c8-1d8d-4105-9551-019b4b2bcd2f",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "f543b5a9-b6ef-47a5-8520-4e612140241e",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "398c55f8-3a7c-4c8d-947d-270f55832456",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d2159351-da04-4956-ad5d-253bdc1afed9",
"db_currency_id": "244957a8-8d62-4b56-897b-91a2a3ca7db5",
"db_language_id": "c96a8156-3dc2-47b4-b33a-d2d0f7f9ac8a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"job_status_id": "df43c1ef-1239-42ea-bee1-1cfeb4f07bf7",
"job_status_code": "sample string 11",
"db_address_id": "a64904d1-c087-44eb-a0ce-631f3788e0d9",
"contact_id": "8a2e869c-aa38-4e5b-8fc8-597dc603b3c7",
"requested_by_company_id": "6d704327-2197-4402-963d-f2d280003cf4",
"requested_by_contact_id": "c9327b49-2425-4f63-8fd1-7f875137c4a4",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-12T10:10:21.4798832+00:00",
"due_date": "2026-11-12T10:10:21.4798832+00:00",
"date_create": "2026-11-12T10:10:21.4798832+00:00",
"date_update": "2026-11-12T10:10:21.4798832+00:00",
"date_closed": "2026-11-12T10:10:21.4798832+00:00",
"suggested_user_id": "ba0be598-815e-4a06-a2ad-4e4bd72957e4",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "dacb33a3-c58f-4ee4-9f72-66d10fd2ec7d",
"db_language_id": "f670788b-ebdd-4ca1-8f71-78541c14dc27",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-12T10:10:21.4798832+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "ba606b08-8fad-46d1-b940-7a4d6a71adeb",
"sales_organization": {
"id": "398c55f8-3a7c-4c8d-947d-270f55832456",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d2159351-da04-4956-ad5d-253bdc1afed9",
"db_currency_id": "244957a8-8d62-4b56-897b-91a2a3ca7db5",
"db_language_id": "c96a8156-3dc2-47b4-b33a-d2d0f7f9ac8a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "3824a572-bec1-40ae-9d8f-8bfefa2faf64",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "c060a35e-8be9-4b91-9589-71d76f41ec7a",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "ca06ba95-4f3f-492d-b238-8f664b8f9f25"
},
"suggested_date_start": "2026-11-12T10:10:21.4798832+00:00",
"skill_id": "335f9e2d-e5e3-44a4-a0ca-14e3c1e5926d",
"skill_code": "sample string 32",
"skill": {
"id": "75fa4cc2-038a-457c-a87d-3870fd5a883b",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "16591de2-dc7b-4a19-8632-4278fcf90059",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "398c55f8-3a7c-4c8d-947d-270f55832456",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d2159351-da04-4956-ad5d-253bdc1afed9",
"db_currency_id": "244957a8-8d62-4b56-897b-91a2a3ca7db5",
"db_language_id": "c96a8156-3dc2-47b4-b33a-d2d0f7f9ac8a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"modified_dateutc": "2026-11-12T10:10:21.4798832+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "6052e032-4086-4e83-9b77-08b5daa8bbd0",
"date_reported_by_company": "2026-11-12T10:10:21.4989256+00:00",
"id2": 36,
"company_id": "b019f884-df2e-466c-ba41-3ba1ca8fba17",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "fd8ad238-d969-4cc3-8ce8-4ecca841264c",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-12T10:10:21.4989256+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-12T10:10:21.4989256+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.